﻿using Godot;
using System.Threading;

public class Server : Peer {

    private static PacketPeerUDP PacketPeer;

    private byte[] TempBuffer = { 1 };

    public Server(PacketPeerUDP packetPeer) : base(packetPeer) {
        PacketPeer = packetPeer;
    }

    public override void Initialize(string address, int port) {
        StartListening(port, address);
        GD.print("Server initialization finished.");
        GD.print("Started server on " + address + ":" + port);
    }

    public override void ReceivePacket(byte[] buffer, string address, int port) {
        GD.print("Server received stuff from " + address + " : " + port + " :");
        for (int i = 0; i < buffer.Length; i++) {
            GD.print(buffer[i]);
        }
        SendBuffer(TempBuffer, new Connection(address, port));
    }

    public override void Update(float delta) {
    }
}